/***********************************************************
PROJECT  : bit-banging i2c interface library
MODULE   : Linux serial port handling
TARGET   : Linux/x86
COPYRIGHT: (c) 2002 Damien Mercier <Damien.Mercier@grosmi.net>
LICENCE  : LGPL
CREATION : Sat Mar  1 15:42:44 MET 1997
UPDATE   : Thu Dec 16 23:20:53 CET 1999
VERSION  : 1.5
***********************************************************/
/*
This code is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This code is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.
*/
#ifndef _SER_LIB_H
#define _SER_LIB_H

int OpenSerial(char *dev);
int CloseSerial(void);
int SetRTSDTR(u_char rts, u_char dtr);
int GetCTSDSR(u_char *cts, u_char *dsr);

inline int SetSCLSDA(u_char scl, u_char sda) {
    return SetRTSDTR(scl,sda);
}

inline int GetSCLSDA(u_char *scl, u_char *sda) {
    return GetCTSDSR(scl,sda);
}

#endif

